# Image Classification Workshop Part II

**organised by [Vancouver School of AI](https://www.facebook.com/groups/991378534367193/)**

**Date: 25 September 2018**

![](additional/img/mnist.png)

Source: http://scs.ryerson.ca/~aharley/vis/conv/

## Installation Requirements

We have decided to move to [Google Colab](https://colab.research.google.com/notebooks/welcome.ipynb#recent=true). This means you only need a Google account and you're good to go. Google Colab is especially useful for image classification, since you can use a GPU for free on Google Colab to speed up the training process. See [here](https://www.kdnuggets.com/2018/02/google-colab-free-gpu-tutorial-tensorflow-keras-pytorch.html) on how to enable a GPU in Google Colab - it's really simple.

## Meetup Content

[Guru Shiva Winning Code Challenge Submission Presentation](https://prezi.com/view/F7UNomtK3QU3Zbzh8nVH/)

[Image Classification Theory](https://github.com/SchoolofAI-Vancouver/learn_image_classification_2/blob/master/src/workshop-slides.ipynb)

[Image Classification Workshop using Keras](https://github.com/SchoolofAI-Vancouver/learn_image_classification_2/blob/master/keras_colab_demo/Image_Classification_II_Demo.ipynb) - open in Google Colab

## Code Challenge

**Due Date:** Sunday, 7 October @ midnight

**Challenge:** Create an image classifier using Keras

**Everyone is encouraged to participate!**

The winning solution should ideally be:

* reasonably accurate
* a creative or interesting application

To submit, post your solution's repository link on the `# coding_challenge` Slack channel (on the Vancouver School of AI workspace) before the due date.

## Content Authors

[Akshi Chaudhary](https://github.com/akshi8)

[Johannes Harmse](https://github.com/johannesharmse)

[Xinbin Huang](https://github.com/xinbinhuang)

## Resources and Additional Readings

[Visualize Image Classification](http://scs.ryerson.ca/~aharley/vis/conv/)

[How CNNs work](http://cs231n.github.io/convolutional-networks/)

[Keras CNN Data Augmentation](https://blog.keras.io/building-powerful-image-classification-models-using-very-little-data.html)

[Machine Learning Crash Course: Part 3 from ML@B](https://ml.berkeley.edu/blog/2017/02/04/tutorial-3/)

[Neural network visualization by TensorFlow](http://playground.tensorflow.org/#activation=relu&batchSize=10&dataset=circle&regDataset=reg-plane&learningRate=0.03&regularizationRate=0&noise=0&networkShape=4,5,2&seed=0.16034&showTestData=false&discretize=false&percTrainData=50&x=true&y=true&xTimesY=false&xSquared=false&ySquared=false&cosX=false&sinX=false&cosY=false&sinY=false&collectStats=false&problem=classification&initZero=false&hideText=false)

[cs231n-neural network](http://cs231n.github.io/neural-networks-1/)

[cs231n- convolutioinal neural network](http://cs231n.github.io/convolutional-networks/#fc)
